package textBookEgs_Chapter3_delegatedController;

import java.awt.Component;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

public class LineAppController implements MouseMotionListener, MouseListener {

	private Component view;
	private LineDrawModel model;

	public LineAppController(Component view, LineDrawModel model) {
		this.view = view;
		this.model = model;
	}

	// The following methods are specified in the MouseListener

	@Override
	public void mouseClicked(MouseEvent e) {
		// as an exercise, experiment with removing and adding mouse listener
		// from view - you will see that this method is invoked only when the
		// mouse listener is installed
		System.out.println("Click on point: " + e.getPoint());
	}

	@Override
	public void mousePressed(MouseEvent e) {
	}

	@Override
	public void mouseReleased(MouseEvent e) {
	}

	@Override
	public void mouseEntered(MouseEvent e) {
	}

	@Override
	public void mouseExited(MouseEvent e) {
	}

	@Override
	public void mouseDragged(MouseEvent e) {
	}

	// The following methods are specified in the MouseMotionListener

	@Override
	public void mouseMoved(MouseEvent e) {

		// as an exercise, experiment with removing and adding mouse motion
		// listener
		// from view - you will see that this method is invoked only when the
		// mouse motion listener is installed

		System.out.print(e.getPoint());
		if (model.nearestLine(e.getPoint()) != null) {
			System.out.print(" near to line with index: "
					+ model.nearestLine(e.getPoint()));
		}
		System.out.println();

	}

}
