package textBookEgs_Chapter3_delegatedController;

/**
 * This class encapsulates a listener for a model of a team member. Described in
 * Fig 4.24 and p.98 of the Olsen textbook.
 * 
 * @author mb
 * 
 */
public interface LineModelChangeListener {

	/**
	 * Method that is invoked when this listener wishes to respond or to react
	 * to a change that originated in whichever object this listener is
	 * listening to.
	 */
	public void modelHasChanged();

	public void lineWillChange(int index, int newX1, int newY1, int newX2,
			int newY2);

}
